Subject: Re: [bug#28593] [PATCH] gnu: openfoam: Clean up to reduce closure.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 07 Oct 2017 22:45:38 +0200

Hi,

[email-masked] (Ludovic Courtès) skribis:

> Paul Garlick <[email-masked]> skribis:

[...]

>>> Rather:
>>> 
>>>   (for-each delete-file (find-files "." "\\.o$"))
>>> 
>>> Paul can you confirm that this is OK?
>>> 
>>
>> Maybe.  We need to be careful that we not delete files which are needed
>> later on.  Typically, a user will copy part of the directory structure
>> to a subdirectory of $HOME and compile a new solver.  The OpenFOAM
>> 'wmake' utility takes care of the dependencies and re-compiles object
>> files as needed.  
>>
>> So, object files under 'platforms/linux64GccDPInt32Opt/src' should be
>> safe to delete.  However, this needs to be checked to make sure no
>> dependencies are deleted that cannot easily be re-compiled.  Have you
>> already checked this Dave by, for example, re-compiling a standard
>> solver?
>
> I let Dave answer on this part.

I think we got sidetracked by the discussion about debugging info.

Paul, Dave: what do we do this patch?

  https://bugs.gnu.org/28593

TIA,
Ludo’.